سلام.
اولا اوبونتو نسخه ۹.۱ نداریم اصلا! :| همه نسخه های اوبونتو به صورت ۱۰.۰۴ بعد ۱۰.۱۰ یا ۱۳.۰۴ و ۱۳.۱۰ شماره گذاری میشن!
اگه منظورتون اوبونتو ۹.۱۰ هست، نسخه شما خیلی خیلی قدیمیه و به احتمال خیلی خیلی زیاد براتون درد سر و مشکل زیاد پیش میاره.
الان ۱۴.۰۴ هم منتشر شده که آخرین نسخه و بهترین نسخه هست.
اوبونتو ۱۴.۰۴ منتشر شد! :) دانلود/آپگرید کنید

دوما، pppoe بودنش ربطی به اوبونتو نداره! اون یه چیز مربوط به مدل اکانت اینترنت شما که isp بهتون میده هست و توی تنظیمات روتر (مودم) تنظیم میشه فقط!
اینترنت وایرلس همون adsl هست با یه مودم وایرلس. وایرلس هم چند مدل رمزگذاری داره مثل wpa و... که این توی اوبونتو قابل تنظیم هست (البته خود اوبونتو خودکار شناسایی میکنه مدل رمزگذاری رو)
شما احتمالا هنوز اصلا مودمتون رو راه اندازی اولیه نکردید و این pppoe رو جایی خوندید یا کسی بهتون گفته! این هیچ ربطی به اوبونتو نداره، شما باید به ispـتون (همون شرکتی که ازش اینترنت دارید) بگید بیاد براتون مودم رو راه اندازی کنه.
البته خودتون هم میتونید ولی با توجه به مبتدی بودنتون فکر کنم براتون وقت گیر و سخت باشه آموزش راه اندازی مودم هست، گوگل کنید.

همونطور که گفتم ورژن اوبونتو خیلی پایین هست و ممکنه مودمتون با اون ورژن مشکل داشته باشه یا اوبونتو با مودمتون مشکل داشته باشه.
همیشه استفاده از آخرین نسخه پایدار هر نرم افزاری حرف اول رو میزنه، در هر شرایطی. مخصوصا توی گنو/لینوکس که همه چیز شدنی هست، اگه مثلا به خاطر یه نرم افزار خاص اون ورژن رو میخواید، مطمئن باشید روی ورژن های بالاتر هم اگه نباشه، یه جوری میشه اوکیش کرد